# Update

`PATCH /api/2.0/ip-access-lists/{list_id}`

Updates an existing IP access list, specified by its ID.

 A list can include allow lists and block lists.
 See the top of this file for a description of how the server treats allow lists and block lists at run time.

 When updating an IP access list:

  * For all allow lists and block lists combined, the API supports a maximum of 1000 IP/CIDR values,
  where one CIDR counts as a single value. Attempts to exceed that number return error 400 with `error_code` value `QUOTA_EXCEEDED`.
  * If the updated list would block the calling user's current IP, error 400 is returned with `error_code` value `INVALID_STATE`.

 It can take a few minutes for the changes to take effect. Note that your resulting IP access list has no effect until you enable
 the feature. See [workspaceconf/setStatus](https://docs.databricks.com/api/workspace/workspaceconf/setstatus).

API scopes: networking

## Path parameters

- `list_id` (string, optional)
  The ID for the corresponding IP access list

## Request body

- `label` (string, optional)
  Label for the IP access list. This **cannot** be empty.
  Example: `Office VPN`
- `list_type` (string, optional)
  Possible values: `ALLOW`, `BLOCK`
- `ip_addresses` (array of string, optional)
  Example: `192.168.100.0/22`
- `enabled` (boolean, optional)
  Specifies whether this IP access list is enabled.

## Returns

- `ip_access_list` (object, optional)
  - `list_id` (string, optional)
    Universally unique identifier (UUID) of the IP access list.
  - `label` (string, optional)
    Label for the IP access list. This **cannot** be empty.
    Example: `Office VPN`
  - `ip_addresses` (array of string, optional)
    Example: `192.168.100.0/22`
  - `address_count` (int32, optional)
    Total number of IP or CIDR values.
    Example: `2`
  - `list_type` (string, optional)
    Possible values: `ALLOW`, `BLOCK`
  - `created_at` (int64, optional)
    Creation timestamp in milliseconds.
    Example: `1580265020299`
  - `created_by` (int64, optional)
    User ID of the user who created this list.
    Example: `202480738464078`
  - `updated_at` (int64, optional)
    Update timestamp in milliseconds.
    Example: `1580265020299`
  - `updated_by` (int64, optional)
    User ID of the user who updated this list.
    Example: `202480738464089`
  - `enabled` (boolean, optional)
    Specifies whether this IP access list is enabled.

## Response

```json
{
  "ip_access_list": {
    "list_id": "string",
    "label": "Office VPN",
    "ip_addresses": "192.168.100.0/22",
    "address_count": 2,
    "list_type": "string",
    "created_at": 1580265020299,
    "created_by": 202480738464078,
    "updated_at": 1580265020299,
    "updated_by": 202480738464089,
    "enabled": true
  }
}
```

